using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

[System.Serializable]
public class EquipmentData 
{
    public int[] equippedItems;

    public EquipmentData()
    {
        equippedItems = new int[GameConstants.Sizes.TotalEquipmentSlots];

        for (int i = 0; i < equippedItems.Length; i++)
        {
            equippedItems[i] = -1;
        }
    }
    public EquipmentData(int[] equippedItems)
    {
        this.equippedItems = new int[GameConstants.Sizes.TotalEquipmentSlots];

        for (int i = 0; i < equippedItems.Length; i++)
        {
            this.equippedItems[i] = equippedItems[i];
        }
    }
}
